Arch Truss: Difference between revisions

From FreeCAD Documentation
(Created page with "<languages/> <translate> {{docnav |Frame |Equipement |Arch |IconL=Arch_Frame.svg |IconC=Workbench_Arch.svg |IconR=Arch_Equip...")
 
(Marked this version for translation)
Line 2: Line 2:
<translate>
<translate>


<!--T:1-->
{{docnav
{{docnav
|[[Arch_Frame|Frame]]
|[[Arch_Frame|Frame]]
Line 11: Line 12:
}}
}}


<!--T:2-->
{{GuiCommand
{{GuiCommand
|Name=Arch Truss
|Name=Arch Truss
Line 18: Line 20:
}}
}}


==Description==
==Description== <!--T:3-->


<!--T:4-->
The [[Arch Truss]] tool builds a [https://en.wikipedia.org/wiki/Truss truss] object, either from a selected linear object (lie a [[Draft Line]] or [[Sketcher_NewSketch|Sketch]]), or from scratch, if no object is selected whn launching the command.
The [[Arch Truss]] tool builds a [https://en.wikipedia.org/wiki/Truss truss] object, either from a selected linear object (lie a [[Draft Line]] or [[Sketcher_NewSketch|Sketch]]), or from scratch, if no object is selected whn launching the command.


Line 26: Line 29:
<translate>
<translate>


==Usage==
==Usage== <!--T:5-->


===Creating from a selected object===
===Creating from a selected object=== <!--T:6-->


<!--T:7-->
# Use a workbench of your choice to create a single line
# Use a workbench of your choice to create a single line
# Select that line
# Select that line
Line 36: Line 40:




===Creating from scratch===
===Creating from scratch=== <!--T:8-->


<!--T:9-->
# Make sure nothing is selected
# Make sure nothing is selected
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch Truss]]}} button
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch Truss]]}} button
Line 44: Line 49:
# Adjust the truss properties to your liking
# Adjust the truss properties to your liking


==Properties==
==Properties== <!--T:10-->


=== Data ===
=== Data === <!--T:11-->


<!--T:12-->
* {{PropertyData|TrussAngle}}: The angle of the truss
* {{PropertyData|TrussAngle}}: The angle of the truss
* {{PropertyData|SlantType}}: The slant type of this truss
* {{PropertyData|SlantType}}: The slant type of this truss
Line 64: Line 70:
* {{PropertyData|RodMode}}: How to draw the rods
* {{PropertyData|RodMode}}: How to draw the rods


==Scripting==
==Scripting== <!--T:13-->


<!--T:14-->
The Truss tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
The Truss tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:


Line 74: Line 81:
<translate>
<translate>


<!--T:15-->
Example:
Example:


Line 92: Line 100:
<translate>
<translate>


<!--T:16-->
{{docnav
{{docnav
|[[Arch_Frame|Frame]]
|[[Arch_Frame|Frame]]

Revision as of 12:32, 23 April 2020

Arch Truss

Menu location
Arch → Truss
Workbenches
Arch
Default shortcut
None
Introduced in version
0.19
See also
None

Description

The Arch Truss tool builds a truss object, either from a selected linear object (lie a Draft Line or Sketch), or from scratch, if no object is selected whn launching the command.

Usage

Creating from a selected object

  1. Use a workbench of your choice to create a single line
  2. Select that line
  3. Press the Arch Truss button
  4. Adjust the truss properties to your liking


Creating from scratch

  1. Make sure nothing is selected
  2. Press the Arch Truss button
  3. Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
  4. Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
  5. Adjust the truss properties to your liking

Properties

Data

  • DataTrussAngle: The angle of the truss
  • DataSlantType: The slant type of this truss
  • DataNormal: The normal direction of this truss
  • DataHeightStart: The height of the truss at the start position
  • DataHeightEnd: The height of the truss at the end position
  • DataStrutStartOffset: An optional start offset for the top strut
  • DataStrutEndOffset: An optional end offset for the top strut
  • DataStrutHeight: The height of the main top and bottom elements of the truss
  • DataStrutWidth: The width of the main top and bottom elements of the truss
  • DataRodType: The type of the middle element of the truss
  • DataRodDirection: The direction of the rods
  • DataRodSize: The diameter or side of the rods
  • DataRodSections: The number of rod sections
  • DataRodEnd: If the truss has a rod at its endpoint or not
  • DataRodMode: How to draw the rods

Scripting

The Truss tool can be used in macros and from the Python console by using the following function:

Truss = makeFence([baseobj])

Example:

import FreeCAD
import Draft
import Arch

p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties